Subject: RE: conflict markers in markdown files

From: <[email-masked]>
Date: Thu, 28 Oct 2021 19:25:04 -0400

> -----Original Message-----
> From: Junio C Hamano <[email-masked]>
On October 28, 2021 7:11 PM, 
> To: Nicholas Bransby-Williams <[email-masked]>
> Cc: [email-masked]
> Subject: Re: conflict markers in markdown files
> 
> Nicholas Bransby-Williams <[email-masked]> writes:
> 
> > Thanks, I didn't miss that.
> >
> > I have no control over the content in the file so I don't know what an
> > appropriate number is.
> 
> Those who are editing the file would be able to adjust the attributes
themselves,
> no?

It sounds like we might need an attribute like:

*.md	conflict-marker-size=32,conflict-marker-separator='~'

to stick 32 ~ characters as a separator, if going down that path. I'm not
sure how hard this would be, but tooling other systems, like JGit and every
client on the planet would be painful.

-Randall